Name:           perl-Pod-Webserver
Version:        3.11
Release:        1%{?dist}
Summary:        Minimal web server for local Perl documentation
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Pod-Webserver/
Source0:        http://www.cpan.org/authors/id/R/RS/RSAVAGE/Pod-Webserver-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Spec::Unix)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Pod::Simple) >= 3.01
BuildRequires:  perl(Pod::Simple::HTML)
BuildRequires:  perl(Pod::Simple::HTMLBatch)
BuildRequires:  perl(Pod::Simple::Progress)
BuildRequires:  perl(Test::More) >= 1.001014
BuildRequires:  perl(Test::Pod) >= 1.48
BuildRequires:  perl(Test::TCP) >= 2.02
BuildRequires:  perl(Test::Version) >= 1.002003
Requires:       perl(File::Spec)
Requires:       perl(File::Spec::Unix)
Requires:       perl(Pod::Simple) >= 3.01
Requires:       perl(Pod::Simple::HTML)
Requires:       perl(Pod::Simple::HTMLBatch)
Requires:       perl(Pod::Simple::Progress)
Requires:       perl(Test::More) >= 1.001014
Requires:       perl(Test::Pod) >= 1.48
Requires:       perl(Test::TCP) >= 2.02
Requires:       perl(Test::Version) >= 1.002003
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module can be run as an application that works as a minimal web server
to serve local Perl documentation. It's like perldoc except it works
through your browser.

%prep
%setup -q -n Pod-Webserver-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install --destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changelog.ini Changes META.json README
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man3/*

%changelog
* Mon May 16 2016 Dave Cross <dave@mag-sol.com> 3.11-1
- Specfile autogenerated by cpanspec 1.78.
